All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.taglib.servlet.tbeans.tableview
Class ColumnsTag

    com.sas.taglib.servlet.tbeans.tableview.ColumnsTag

All Implemented Interfaces:
  java.io.Serializable, javax.servlet.jsp.tagext.BodyTag, javax.servlet.jsp.tagext.IterationTag, javax.servlet.jsp.tagext.JspTag, javax.servlet.jsp.tagext.Tag, javax.servlet.jsp.tagext.TryCatchFinally

    public class ColumnsTag

ColumnsTag is the tag handler class for the sas:Columns custom tag . ColumnsTag is invoked by the JSP page to evaluate the sas:Columns custom tag during the execution of the page. Tag handler methods are called by the JSP page implementation class at various points during the evaluation of the tag. The tag handler methods in turn call methods on the underlying Transformation Bean object, DefaultTableColumnModel, to execute the methods.

If you need to extend or modify the functionality of the sas:Columns custom tag, you can subclass this tag handler class.

For More Information:

Visit the AppDev Studio Developer's Site to access step-by-step examples, white papers and additional usage information at http://support.sas.com/rnd/appdev/.

Refer to the Custom Tag Library Reference for usage information on the sas:Columns custom tag.

Note: A snapshot of the AppDev Studio Developers Site is installed on your local Web server when you install AppDev Studio. To access the site from webAF, select Help -> Developer Site.

See Also:
  `DefaultTableColumnModel`, Serialized Form

Field Summary

Fields inherited from class com.sas.taglib.BaseBodyTag
`DELIMITERS, RB_KEY`

Constructor Summary
`ColumnsTag()`

Method Summary
`void` | `addHeld(java.lang.String hold, TableColumn column)` Add the list of columns to be held.
`void` | `addSort(java.lang.String sort, TableColumn column)` Add the list of columns to be sorted.
`int` | `doEndTag()` Process the end tag.
`java.util.ArrayList` | `getOrder()` Returns the order property of the ColumnsTag.
`java.lang.String` | `getSortOrder()` Gets the sortOrder property.
`protected void` | `initialize(boolean includeAttributes)` Initializes attributes and variables for this tag handler.
`boolean` | `isOrderColumns()` Returns the orderColumns property of the ColumnsTag.
`void` | `setOrder(java.util.ArrayList indexList)` Sets the order property of the ColumnsTag.
`void` | `setOrderColumns(boolean orderColumns)` Sets the orderColumns property of the ColumnsTag.
`void` | `setSortOrder(java.lang.String sortOrder)` Sets the sortOrder property (String).

Methods inherited from class com.sas.taglib.BaseBodyTag
`applyAttributes, doCatch, doFinally, doStartTag, getApplyAttributes, getBodyStrings, getCompositeComponentKey, getInstantiate, getLocale, getPageContext, getRef, getScope, getTagScope, getWrappedClassName, getWrappedObject, getWrappedObject, loadBeanInstance, newInstance, release, removeFromScope, searchContext, setApplyAttributes, setCompositeComponentKey, setInstantiate, setLocale, setRef, setScope, setTagScope, setVariableWithinScope, setWrappedClassName, setWrappedObject, validate`

Constructor Detail

### ColumnsTag

    public ColumnsTag()

Method Detail

### initialize

    protected void initialize(boolean includeAttributes)

  Initializes attributes and variables for this tag handler.

  Overrides:
    `initialize` in class `BaseBodyTag`
  Parameters:
    `includeAttributes` - Set to true if attributes are to be set to default values.

### setOrderColumns

    public void setOrderColumns(boolean orderColumns)

  Sets the orderColumns property of the ColumnsTag. If true then the specified columns will be displayed in the given order of the <sas:Column> subtags. If the autoCreateColumnsFromModel attribute of the <sas:TableView> tag is false, then only the columns defined within the <sas:Columns> tag will be displayed in the given order of the columns. Otherwise, if autoCreateColumnsFromModel attribute of the <sas:TableView> tag is true and orderColumns is true, then the columns defined within the <sas:Columns> tag will be displayed in the given order first and all other columns will be displayed afterwards.

  Parameters:
    `orderColumns` - True if the columns should be displayed in the given order.
  See Also:
    `isOrderColumns()`

### isOrderColumns

    public boolean isOrderColumns()

  Returns the orderColumns property of the ColumnsTag. By default orderColumns is false. If true then the specified columns will be displayed in the given order of the <sas:Column> subtags. If the autoCreateColumnsFromModel attribute of the <sas:TableView> tag is false, then only the columns defined within the <sas:Columns> tag will be displayed in the given order of the columns. Otherwise, if autoCreateColumnsFromModel attribute of the <sas:TableView> tag is true and orderColumns is true, then the columns defined within the <sas:Columns> tag will be displayed in the given order first and all other columns will be displayed afterwards.

  Returns:
    true if the columns should be displayed in the given order
  See Also:
    `setOrderColumns(boolean)`

### setOrder

    public void setOrder(java.util.ArrayList indexList)

  Sets the order property of the ColumnsTag. The ArrayList is a list model indexes defined in the <sas:Column> subtags. The indexes are in the appropriate order to display in the TableView.

  Parameters:
    `indexList` - ArrayList of the model's indexes in the order to display
  See Also:
    `getOrder()`

### getOrder

    public java.util.ArrayList getOrder()

  Returns the order property of the ColumnsTag. The ArrayList is a list model indexes defined in the <sas:Column> subtags. The indexes are in the appropriate order to display in the TableView. Null by default.

  Returns:
    ArrayList of the model's indexes in the order to display
  See Also:
    `setOrder(java.util.ArrayList)`

### setSortOrder

    public void setSortOrder(java.lang.String sortOrder)

  Sets the sortOrder property (String). The sortOrder String is used to select the sort order precedence. The sortOrder is a list model indexes defined in the <sas:Column> subtags. The sortOrder String should be one or more integers separated by commas.

  Parameters:
    `sortOrder` - A comma-delimitted string of integers to specify the sort order.

### getSortOrder

    public java.lang.String getSortOrder()

  Gets the sortOrder property.

  Returns:
    the sortOrder attribute of the ColumnsTag

### doEndTag

    public int doEndTag()
                 throws javax.servlet.jsp.JspException

  Process the end tag. This method will be called on all Tag objects.

  Specified by:
    `doEndTag` in interface `javax.servlet.jsp.tagext.Tag`
  Overrides:
    `doEndTag` in class `javax.servlet.jsp.tagext.BodyTagSupport`
  Returns:
    int designating the next course of action for the tag/jsp page.
  Throws:
    `javax.servlet.jsp.JspException`

### addHeld

    public void addHeld(java.lang.String hold,
                        TableColumn column)

  Add the list of columns to be held.

  Parameters:
    `hold` - Which side to hold the column on.
    `column` - The TableColumn to hold.

### addSort

    public void addSort(java.lang.String sort,
                        TableColumn column)

  Add the list of columns to be sorted.

  Parameters:
    `sort` - Which direction to sort the column.
    `column` - The TableColumn to sort.

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.